perl-Perl-Destruct-Level-0.20.0-19.mga8.i586.rpm


Advertisement

Description

perl-Perl-Destruct-Level - Allow to change perl's destruction level

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-Perl-Destruct-Level-0.20.0-19.mga8.i586.rpm
Package name perl-Perl-Destruct-Level
Package version 0.20.0
Package release 19.mga8
Package architecture i586
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/Perl-Destruct-Level
License GPL+ or Artistic
Maintainer -
Download size 14.78 KB
Installed size 17.17 KB
This module allows to change perl's internal _destruction level_.
The default value of the destruct level is 0; it means that perl won't
bother destroying all its internal data structures, but let the OS do the
cleanup for it at exit.
For perls built with debugging support ('-DDEBUGGING'), an environment
variable 'PERL_DESTRUCT_LEVEL' allows to control the destruction level.
This modules enables to modify it on non-debugging perls too.

Alternatives

Package Version Architecture Repository
perl-Perl-Destruct-Level-0.20.0-19.mga8.x86_64.rpm 0.20.0 x86_64 Mageia Core
perl-Perl-Destruct-Level - - -

Requires

Name Value
libperl.so.5.30 -
perl(XSLoader) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.30.0

Provides

Name Value
perl(Perl::Destruct::Level) == 0.20.0
perl-Perl-Destruct-Level == 0.20.0-19.mga8
perl-Perl-Destruct-Level(x86-32) == 0.20.0-19.mga8

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-Perl-Destruct-Level-0.20.0-19.mga8.i586.rpm
Source Package perl-Perl-Destruct-Level-0.20.0-19.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-Destruct-Level rpm package:
    # urpmi perl-Perl-Destruct-Level

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/72/9e0ca11433e52cbc0aac07c87620715efc6f06
/usr/lib/perl5/vendor_perl/Perl/
/usr/lib/perl5/vendor_perl/Perl/Destruct/Level.pm
/usr/lib/perl5/vendor_perl/auto/
/usr/lib/perl5/vendor_perl/auto/Perl/
/usr/lib/perl5/vendor_perl/auto/Perl/Destruct/
/usr/lib/perl5/vendor_perl/auto/Perl/Destruct/Level/Level.so
/usr/share/doc/perl-Perl-Destruct-Level/META.yml
/usr/share/man/man3/Perl::Destruct::Level.3pm.xz

Changelog

2019-08-27 - tmb <tmb> 0.20.0-19.mga8
+ Revision: 1433872
- rebuild for perl 5.30
2018-09-21 - umeabot <umeabot> 0.20.0-18.mga7
+ Revision: 1293651
- Mageia 7 Mass Rebuild
2018-08-08 - pterjan <pterjan> 0.20.0-17.mga7
+ Revision: 1249869
- Rebuild for perl 5.28
2017-10-03 - tv <tv> 0.20.0-16.mga7
+ Revision: 1166160
- rebuild with fixed rpm for missing autodeps
2017-08-31 - pterjan <pterjan> 0.20.0-15.mga7
+ Revision: 1149103
- Rebuild for perl ABI changes

See Also

Package Description
perl-Perl-Metrics-Simple-0.180.0-4.mga7.noarch.rpm Methods analyzing a single file
perl-Perl-MinimumVersion-1.380.0-7.mga7.noarch.rpm Find a minimum required version of perl for Perl code
perl-Perl-OSType-1.10.0-2.mga7.noarch.rpm Map Perl operating system names to generic types
perl-Perl-PrereqScanner-1.23.0-4.mga7.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-PrereqScanner-NotQuiteLite-0.990.800-1.mga8.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-Tags-0.320.0-7.mga7.noarch.rpm Testing output of L<Perl::Tags>
perl-Perl-Tidy-20190915.0.0-1.mga8.noarch.rpm Parses and beautifies perl source
perl-Perl-Tidy-Sweetened-1.150.0-1.mga7.noarch.rpm Tweaks to Perl::Tidy to support some syntactic sugar
perl-Perl-Version-1.13.0-6.mga7.noarch.rpm Parse and manipulate Perl version strings
perl-Perl-osnames-0.110.0-4.mga7.noarch.rpm List possible $^O ($OSNAME) values, with description
perl-Perl6-Classes-0.220.0-8.mga7.noarch.rpm Perl 6 class syntax for Perl 5
perl-Perl6-Doc-0.470.0-8.mga7.noarch.rpm Perl 6 Documentation Collection
perl-Perl6-Export-0.70.0-8.mga7.noarch.rpm Implements the Perl 6 is export trait
perl-Perl6-Export-Attrs-0.0.6-2.mga7.noarch.rpm The Perl 6 'is export(...)' trait as a Perl 5 attribute
perl-Perl6-Form-0.90.0-1.mga7.noarch.rpm Implements the Perl 6 'form' built-in
Advertisement
Advertisement